import styled from 'styled-components';
import Input from '../../Input';
import { DropdownBubble } from '../../../index';
export var StyledInputText = styled(Input.Text).withConfig({
  displayName: "DatePickerstyled__StyledInputText",
  componentId: "sc-1vufj6t-0"
})(["z-index:1;"]);
export var StyledDropdownBubble = styled(DropdownBubble).withConfig({
  displayName: "DatePickerstyled__StyledDropdownBubble",
  componentId: "sc-1vufj6t-1"
})(["max-width:", "px;z-index:", ";top:-10px;border-radius:", ";&::after,&::before{display:none;}"], function (_ref) {
  var theme = _ref.theme;
  return theme.spacing.unit(78);
}, function (_ref2) {
  var theme = _ref2.theme;
  return theme.zIndex.overlay;
}, function (_ref3) {
  var theme = _ref3.theme;
  return theme.borderRadius8;
});
export var StyledDropdownBubbleWrapper = styled.div.withConfig({
  displayName: "DatePickerstyled__StyledDropdownBubbleWrapper",
  componentId: "sc-1vufj6t-2"
})(["position:absolute;"]);